package com.xinelu.quartz.task;


import com.aliyuncs.exceptions.ClientException;
import com.xinelu.quartz.service.SendTextMessageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Description 短信相关定时任务
 * @Author zh
 * @Date 2024-07-22
 */
@Slf4j
@Component("sendTextMessageTask")
public class SendTextMessageTask {

    @Resource
    private SendTextMessageService sendTextMessageService;

    /**
     * 签约患者管理任务路径节点短信发送定时任务
     */
    public void automaticSendTextMessageTask() throws ClientException {
        log.info("开始执行签约患者管理任务短信推送定时任务......");
        sendTextMessageService.sendTextMessageSendTask();
        log.info("完成订阅签约患者管理任务路径节点推送定时任务......");
    }
}
